<script setup lang="ts">
import { ref, onMounted } from 'vue';
import type { BaseLink } from '@/types/base';

defineProps<{
  links: BaseLink[];
}>();

const currentPathname = ref('');

onMounted(() => {
  currentPathname.value = window.location.pathname.replace(/\/$/, '');
});

const currentPath = (link: string) => {
  return currentPathname.value.includes(link.replace(/\/$/, '')) ? 'active' : '';
};
</script>

<template>
  <section class="solutions-tab-links">
    <nav class="tabs-container">
      <ul class="tabs__list">
        <li v-for="link in links" :key="link.text">
          <a
            :class="currentPath(link.config.href)"
            :href="link.config.href"
            :aria-current="currentPath(link.config.href) === 'active' ? 'page' : undefined"
            :data-ga-name="link.config.dataGaName"
            :data-ga-location="link.config.dataGaLocation"
            >{{ link.text }}</a
          >
        </li>
      </ul>
    </nav>
  </section>
</template>

<style lang="scss" scoped>
.solutions-tab-links {
  background: $color-surface-700;
  width: 100%;
  max-height: 100px;
}

.tabs-container {
  display: flex;
  width: 100%;
  overflow-x: scroll;
}

.tabs__list {
  display: inline-flex;
  margin-left: 80px;
  margin-right: 80px;
  justify-content: space-between;
  li {
    height: 100%;
    transition: all 0.3s ease-in;
    padding: $spacing-16 $spacing-8;
    margin-right: $spacing-24;
    white-space: nowrap;
    overflow: hidden;

    a {
      color: $color-text-50;
      font-size: 14px;

      &:hover {
        border-bottom: 1px solid $color-text-link-100;
      }

      &.active,
      &:hover {
        text-decoration: none;
      }

      &.active {
        font-weight: 600;
        color: $color-accent-400;
      }
    }
  }

  @media (max-width: 1025px) {
    margin-left: 0;
    margin-right: 0;
    li {
      padding-left: $spacing-16;
      margin-right: $spacing-8;
    }
  }
}
</style>
